Upgrade 3.10.1 auf 4.0.2 wie soll das gehen?

  • Hallo in die Runde,


    ich habe nach ein paar Tagen warten und tüfteln eine Testversion versucht auf die 4.0.2 zu aktualisieren, was mir aber nicht gelingt.


    Ich scheitere schon daran, dass manches, was anklickbar erscheint, gar nicht zum klicken ist?! Oder doch!? Ich kann da noch so oft auf den Details rumklickern, es tut sich nichts:


    Das Nächste sind die Update Informationen. Das rattert schön durch und bemängelt auch einiges. Aber nichts, was mir Bauchschmerzen bereitet. Alle Erweiterungen, die ich einsetze, sind kompatibel zu Joomla 4.x. Das Problem ist, dass diese trotzdem bemängelt werden und ich mich so in einem Deadloop befinde.


    Bemängelt werden:

    German (Germany) Language Pack

    JSitemap PRO (Update auf die Joomla 4.x kompatible Version)

    System - JAmp (Update auf die Joomla 4.x kompatible Version)

    YOOtheme (Update auf die Joomla 4.x kompatible Version)

    JCH Optimize Package (Update auf die Joomla 4.x kompatible Version)


    Bin ich da allein mit der Problematik?


    Schöne Grüße,

    Micha

  • Hallo Elwood,


    vielen Dank für die Rückmeldung!


    Ich habe geschrieben, dass es eine Testversion ist. Die Migration läuft soweit durch, wie auf dem Screenshot oben gezeigt.

    Darunter dann eine Liste mit den Gründen, warum das nicht durchläuft.


    Nein, es sind noch nicht alle Komponenten auf J4 upgedatet. Ich arbeite die Liste von oben nach unten ab. Aber zumindest sollten die Komponenten aus der Liste verschwinden, die bereits J4 kompatibel sind - sie verschwinden aber nicht und das macht mir das Abarbeiten schwer.


    Cache nutze ich in der Testversion nicht - alles aus, auch JCH

    Fehlermeldungen gibt es nicht und PHP-Version ist 8.0.9, MySQL ist 8.0.21

  • Ich scheitere schon daran, dass manches, was anklickbar erscheint, gar nicht zum klicken ist?! Oder doch!? Ich kann da noch so oft auf den Details rumklickern, es tut sich nichts.

    1. Das funktioniert bei mir auf allen Seiten einwandfrei. Gibt es vielleicht irgendwelche JS-Fehler auf deiner Seite?


    2. Eine Erweiterung kann J4-kompatibel. Das muss aber nicht zwingend in dieser Update-Überprüfung angezeigt werden. Ich hatte anfangs auch einige j4-kompatible Ereiterungen, die zunächst als Problemfall galten. Das wurde dann in einer Aktualisierung der Erweiterung gefixt und nun werden sie als kompatibel angezeigt. Möglicherweise ist das bei dir ähnlich.


    3. Was genau hast du von Yootheme installiert?


    4. Bei der aktuellen JCH 7.0.0 wird mir gemeldet, dass Update-Informationen nicht verfügbar sind. Bei der JCH 6.5.0 wird gemeldet, dass es zunächst aktualisiert werden sollte. Es wird aber nicht bemängelt.


    EDIT: Und wie Elwood auch bereits geschrieben hat, sollte man noch überprüfen, ob die Drittanbieter-Erweiterungen auch mit PHP 8 und erst recht mit Mysql 8 laufen!

  • Mit PHP 7.4 kann ich leider nicht so einfach prüfen, da das Global umgestellt wird und nicht nur für die Testversion.

    Aber Joomal läuft seit einigen Wochen stabil mit PHP 8.


    JS-Fehler gibt es nicht, da die Testversion so schlank wie möglich daherkommt.


    Yootheme lauft auf 2.6.1:

    https://yootheme.com/support/yootheme-pro/changelog

    Zitat

    Das wurde dann in einer Aktualisierung der Erweiterung gefixt und nun werden sie als kompatibel angezeigt. Möglicherweise ist das bei dir ähnlich.

    Ja, darauf hatte ich auch gehofft, nur sind die Updates jetzt soweit, dass diese nicht mehr in der Liste erscheinen sollten


    PHP 8 schließe ich aus, da - wie gesagt - seit Wochen ohne Fehler im Produktivbetrieb

  • Hallo

    Also ich bin so vorgegangen und es war bei mir eigentlich recht einfach.

    Ich habe alles, was bemängelt wurde, deaktiviert und das waren einige Erweiterungen. Die Aktualisierung lief aber dann ohne Probleme durch.

    Dann muss man halt wieder nach und nach alles wieder aktivieren.

    Installierte PHP Version: 7.4

    Joomla! 3.x nach 4.x: Migration - Schritt für Schritt

    https://docs.joomla.org/Joomla…Step_by_Step_Migration/de


    LG

    Gerald